{% extends "layouts/base.html" %}
{% load static i18n don_extras %}

{% block content %}
    <div class="page-api-detail mb-md">
        <div class="api-top-content">
            <div class="title-row mb-xs">
                <h1 class="page-title mb-0">{{ title }}</h1>
                <span class="pill pill--white hide-upto-sm">{{ api.get_api_type_display }}</span>
            </div>
            <a href="{{ api.organization.get_absolute_url }}" class="page-subtitle mb-md">{{ api.organization.name }}</a>
            <p class="intro">{{ api.description }}</p>
            <span class="pill pill--white hide-from-sm">{{ api.get_api_type_display }}</span>
            {% if api.discourse_topic_url %}
            <a class="button button--tertiary"
                href="{{ api.discourse_topic_url }}"
                data-goatcounter-click="event:api-goto-discourse-topic:{{ api.api_id }}"
                data-goatcounter-title="'Naar community topic' knop"
                data-goatcounter-referrer="{{ request.build_absolute_uri }}">
                <svg class="buton__icon button__icon--first icon icon--md" aria-hidden="true">
                    <use xlink:href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-messages" />
                </svg>
                Naar community topic
            </a>
            {% endif %}
            <div class="api-topics">
                <p class="mt-0 mb-2 font-description-term">Thema's</p>
                {% if api.topics.all %}
                {% include "partials/topic_list.html" with topics=api.topics.all cssClass="topic-list--multiple-lines" %}
                {% else %}
                <i>Geen thema's ingevuld.</i>
                {% endif %}
            </div>
        </div>
        <dl class="api-props vertical-sm mt-md mb-md">
            <div>
                <dt>API Authenticatie</dt>
                <dd>
                    {{ api.api_authentication | format_api_authentication }}
                </dd>
            </div>
            <div>
                <dt>Gebruik</dt>
                <dd>
                    {% if api.terms_government_only %}
                    Alleen overheid
                    {% else %}
                    Iedereen
                    {% endif %}
                </dd>
            </div>
            <div>
                <dt>Kosten</dt>
                <dd>
                    {% if api.terms_pay_per_use %}
                    Kosten voor gebruik
                    {% else %}
                    Gratis
                    {% endif %}
                </dd>
            </div>
            <div>
                <dt>Uptime garantie</dt>
                <dd>
                    {% if api.terms_uptime_guarantee %}
                    {% language "nl" %}
                    {{ api.terms_uptime_guarantee | floatformat:-2 }}{% endlanguage %}%
                    {% else %}
                    Geen
                    {% endif %}
                </dd>
            </div>
            <div>
                <dt>Helpdesk respons</dt>
                <dd>
                    {% if api.terms_support_response_time %}
                    {{ api.terms_support_response_time }}
                    werkdag{{ api.terms_support_response_time | pluralize:"en" }}
                    {% else %}
                    Geen
                    {% endif %}
                </dd>
            </div>
        </dl>
        <a
        class="edit-link mt-0 mb-lg"
        target="_blank"
        href="https://gitlab.com/commonground/don/don-content/-/blob/main/content/api/{{ api.api_id }}.yaml"
        rel="noopener noreferrer"
        data-goatcounter-click="event:api-edit-content:{{ api.api_id }}"
        data-goatcounter-title="'Pas content aan' knop"
        data-goatcounter-referrer="{{ request.build_absolute_uri }}"
        >
            <svg class="buton__icon button__icon--first icon icon--md" aria-hidden="true">
                <use xlink:href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-edit" />
            </svg>
            Pas content aan op Gitlab
        </a>
        <div class="environments card card--padding-md mb-md">
            <h2>Omgevingen</h2>
            {% for environment in api.environments.all %}
            <div class="environments__env">
                <h3>{{ environment.name }}</h3>
                <div class="environments__env__urls">
                    <code class="code">{{ environment.api_url }}</code>
                    {% if environment.specification_url %}
                    <a href="{% url 'web:api_specification' api.api_id environment.name %}"
                        class="button">Specificatie</a>
                    {% else %}
                    <span class="button button--disabled">Specificatie</span>
                    {% endif %}
                    {% if environment.documentation_url %}
                    <a href="{{ environment.documentation_url }}"
                        class="button button--external-link"
                        target="_blank"
                        rel="noopener noreferrer">Documentatie
                        <img src="{% static 'images/icons/external-link.svg' %}"
                            width="16"
                            height="16"
                            alt="">
                    </a>
                    {% else %}
                    <span class="button button--disabled">Documentatie</span>
                    {% endif %}
                </div>
            </div>
            {% endfor %}
        </div>
        {% if api.forum_url %}
        <div class="forum">
            <h2>Community</h2>
            <a href="{{ api.forum_url }}"
                class="button button--external-link ml-4"
                target="_blank"
                rel="noopener noreferrer">Ga naar community
                <img src="{% static 'images/icons/external-link.svg' %}"
                    width="16"
                    height="16"
                    alt="">
            </a>
        </div>
        {% endif %}
        {% with repository_list=api.related_repositories.all %}
        {% if repository_list %}
        <div class="related-repositories card mb-lg">
            <h2>Code</h2>
            <p>
                {{ repository_list | length }} open source
                {% if repository_list.count == 1 %}
                project gebruikt
                {% else %}
                projecten gebruiken
                {% endif %}
                deze API
            </p>
            <ul class="list-reset">
                {% for repository in repository_list %}
                {% repository_item repository %}
                {% endfor %}
            </ul>
        </div>
        {% endif %}
        {% endwith %}
        {% if implemented_by_api_list %}
        <div class="related-apis card card--padding-md mb-md">
            <h2>Geïmplementeerd door</h2>
            <ul class="list-reset">
                {% for api in implemented_by_api_list %}
                {% include "partials/api_item.html" with api=api cssClass="card" %}
                {% empty %}Er zijn momenteel geen API's die verwijzen naar deze referentie-implementatie.
                {% endfor %}
            </ul>
        </div>
        {% elif implemented_for_api_list %}
        <div class="related-apis card card--padding-md mb-lg">
            <h2>
                Referentie implementatie{{ implemented_for_api_list | pluralize:"s" }}
            </h2>
            <ul class="list-reset">
                {% for api in implemented_for_api_list %}
                {% include "partials/api_item.html" with api=api %}
                {% endfor %}
                </ul>
                </div>
                {% endif %}
        {% if api.latest_validator_reports.count %}
        <h2 class="mt-md">API scores</h2>
        {% include "partials/validator_reports_summary.html" with validator_reports=api.latest_validator_reports %}
        <a href="{% url 'web:api_validator_reports' api_id=api.api_id %}" class="button button--primary mb-md align-self-end">
            API score details
            <svg class="button__icon button__icon--last button__icon--small-width">
                <use xlink:href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-chevron-right" />
            </svg>
        </a>
        {% endif %}
    </div>
{% endblock %}
